@import "root.css";
*{
    padding:0;
    margin:0;
    font-family: "Sofia Pro Light";
    user-select: none;
}

.main-container-login{
    display:flex;
    flex-direction: column;
    width:100vw;
    height: 100vh;
    background-color: #ebecef;
    box-sizing: border-box;
}

/* Header */
.login-header{
    display:flex;
    min-height: 90px;
    max-height: 140px;
    width:100vw;
    background-color: white;
    align-items: center;
}
.login-header img{
    height: 60px;
    margin-left:50px
}
/* Header */


.login-form-container{
    display: flex;
    width: 100vw;
    justify-content: center;
    align-items: center;
    height: 100%;
} 

.login-form{
    width:570px;
    height: 670px;
    background-color: white;
    box-shadow: 0px 0px 10px 5px rgba(0, 0, 0, 0.3);
    padding: 50px 70px 50px 70px;
    box-sizing: border-box; /* El padding se incluye en el tamaño total */
}


.login-form-header{
    display:flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: end;
}

.login-form-header .login-form-header-text{
    font-size: 2.2em;
    font-weight: bolder;
}
.login-form-header .login-header-logo{
    width:150px;
}
.login-input-container{
    display:flex;
    flex-direction: column;
    width: 100%;
    margin:30px 0 25px 0;
}

.login-input-container input{
    height: 57px;
    width:100%;
    text-decoration: none;
    background:#ebecef;
    border:none;
    margin: 10px 0 20px 0;
    padding-left:17px;
    font-size: 1.2em;
    font-weight: bolder;
}



/* Estilos para la div principal */
.remember-forgot-submit {
    display: flex;
    align-items: center;
    width:100%;
}
.remember-forgot{
    width:200px;
}
.login-remember{
    display:flex;
    flex-direction: row;
    
}



.custom-checkbox {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
  
    width: 17px;
    height: 17px;
    border: 2px solid #7b7f83; 
    margin-right: 17px;
    border-radius: 0;
    cursor:pointer;
  }







.custom-checkbox:checked {
    background-color: #6abc45;
  }
/* Estilos para el texto "Remember Me" */
.remember-text {
    font-size: 16px;
    color:#7b7f83;
    font-weight: bolder;
}

/* Estilos para el texto "I forgot my password" */
.login-forgot {
    font-weight: bolder;
    margin-top: 10px;
    color:#5e6266;
    padding-left:35px
}


.login-submit-btn {
    background-color: #0ba14a; 
    color: #fff;
    padding: 16px 30px 16px 30px;
    border: none;
     margin-left: auto; 
    font-size: 1.2em;
    font-weight: bolder;
    cursor:pointer;
}

.privacy-policy{
    margin-top: 130px;
    font-size: 15px;
    color:#7b7f83;
    font-weight: bolder;
    text-align: center;
}


@media (max-height: 840px ),(max-width: 620px )   {
    .login-form{
        transform: scale(0.8);
    }
} 
@media (max-width: 413px)   {
    .login-form-header{
        flex-direction:column;
        justify-content: center;
        align-items: center;
        text-align: center;
    }
    .login-form-header .login-form-header-text{
       order:2;
    }
    .login-form-header .login-header-logo{
        order:1;
     }
} 
@media (max-width: 452px )   {
    .remember-forgot-submit{
        flex-direction: column;
        align-items: center;
        justify-content: center;
        text-align: center;
    }
    .login-forgot{
        padding-left:25px
    }
    .login-submit-btn{
        margin:40px 0 0 0;
    }
    .privacy-policy{
        margin-top: 50px;
    }
} 